## org.eclipse.datatools.sqltools.sqlbuilder.model
Class ControlStateInfo

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.model.ControlStateInfo

All Implemented Interfaces:
  IControlStateInfo

    public class ControlStateInfo

extends java.lang.Object
implements IControlStateInfo

Defines the UI state of a control in the SQL query builder.

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.sqlbuilder.model.IControlStateInfo
`CONTROL_STATE_UNKNOWN_VALUE, DESIGN_CONTROL, GRAPHICAL_CONTROL, OUTLINE_CONTROL, SOURCE_CONTROL`

Constructor Summary
`ControlStateInfo()` No parameter constructor for ControlStateInfo
`ControlStateInfo(int controlType)` Constructor for ControlStateInfo with parameter for controlType member field.
`ControlStateInfo(int controlType, boolean visible, boolean hideable, int width, int height)` Constructor for ControlStateInfo with parameters for all member fields.

Method Summary
`int` `getControlType()` Returns the type of section control for this state information.
`int` `getHeight()` Returns the height of the control.
`int` `getWidth()` Returns the width of the control.
`boolean` `isHideable()` Indicates whether the UI option should be present to hide or restore the control.
`boolean` `isVisible()` Indicates the visibility state of the control.
`void` `setControlType(int controlType)` Sets the type of section control for this state information.
`void` `setHeight(int height)` Sets the height of the control.
`void` `setIsHideable(boolean isHideable)` Sets whether the UI option should be present to hide or restore the control.
`void` `setIsVisible(boolean isVisible)` Sets the visibility state of the control.
`void` `setWidth(int width)` Sets the width of the control.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlStateInfo

    public ControlStateInfo()

  No parameter constructor for ControlStateInfo

### ControlStateInfo

    public ControlStateInfo(int controlType,
                            boolean visible,
                            boolean hideable,
                            int width,
                            int height)

  Constructor for ControlStateInfo with parameters for all member fields.

  Parameters:
    `controlType` - An IControlStateInfo.*_CONTROL constant defined for one of the section controls, for example, `IControlStateInfo.SOURCE_CONTROL`.
    `visible` -
    `hideable` -
    `width` -
    `height` -

### ControlStateInfo

    public ControlStateInfo(int controlType)

  Constructor for ControlStateInfo with parameter for controlType member field.

  Parameters:
    `controlType` - An IControlStateInfo.*_CONTROL constant defined for one of the section controls, for example, `IControlStateInfo.SOURCE_CONTROL`.

Method Detail

### getControlType

    public int getControlType()

  Description copied from interface: `IControlStateInfo`
  Returns the type of section control for this state information.

  Specified by:
    `getControlType` in interface `IControlStateInfo`
  Returns:
    An IControlStateInfo.*_CONTROL constant defined for one of the section controls, for example, `IControlStateInfo.SOURCE_CONTROL`.

### setControlType

    public void setControlType(int controlType)

  Description copied from interface: `IControlStateInfo`
  Sets the type of section control for this state information.

  Specified by:
    `setControlType` in interface `IControlStateInfo`
  Parameters:
    `controlType` - An IControlStateInfo.*_CONTROL constant defined for one of the section controls, for example, `IControlStateInfo.SOURCE_CONTROL`.

### getHeight

    public int getHeight()

  Description copied from interface: `IControlStateInfo`
  Returns the height of the control.

  Specified by:
    `getHeight` in interface `IControlStateInfo`
  Returns:
    the control height; or `IControlStateInfo.CONTROL_STATE_UNKNOWN_VALUE` if value is not known.

### setHeight

    public void setHeight(int height)

  Description copied from interface: `IControlStateInfo`
  Sets the height of the control.

  Specified by:
    `setHeight` in interface `IControlStateInfo`

### getWidth

    public int getWidth()

  Description copied from interface: `IControlStateInfo`
  Returns the width of the control.

  Specified by:
    `getWidth` in interface `IControlStateInfo`
  Returns:
    the control width; or `IControlStateInfo.CONTROL_STATE_UNKNOWN_VALUE` if value is not known.

### setWidth

    public void setWidth(int width)

  Description copied from interface: `IControlStateInfo`
  Sets the width of the control.

  Specified by:
    `setWidth` in interface `IControlStateInfo`

### isVisible

    public boolean isVisible()

  Description copied from interface: `IControlStateInfo`
  Indicates the visibility state of the control.

  Specified by:
    `isVisible` in interface `IControlStateInfo`
  Returns:
    true if the control is visible; false otherwise. Default value is true.

### setIsVisible

    public void setIsVisible(boolean isVisible)

  Description copied from interface: `IControlStateInfo`
  Sets the visibility state of the control.

  Specified by:
    `setIsVisible` in interface `IControlStateInfo`
  Parameters:
    `isVisible` - true if the control is visible; false otherwise

### isHideable

    public boolean isHideable()

  Description copied from interface: `IControlStateInfo`
  Indicates whether the UI option should be present to hide or restore the control.

  Specified by:
    `isHideable` in interface `IControlStateInfo`
  Returns:
    true if the UI option to hide or restore the control should be present; false otherwise. Default value is true.

### setIsHideable

    public void setIsHideable(boolean isHideable)

  Description copied from interface: `IControlStateInfo`
  Sets whether the UI option should be present to hide or restore the control.

  Specified by:
    `setIsHideable` in interface `IControlStateInfo`
  Parameters:
    `isHideable` - true if the UI option to hide or restore the control should be present; false otherwise.